## com.sun.jna.platform.win32
Class User32.BLENDFUNCTION

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.User32.BLENDFUNCTION

Enclosing interface:
  User32

    public static class User32.BLENDFUNCTION

extends com.sun.jna.Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`byte` `AlphaFormat`
`byte` `BlendFlags`
`byte` `BlendOp`
`byte` `SourceConstantAlpha`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`User32.BLENDFUNCTION()`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### BlendOp

    public byte BlendOp

### BlendFlags

    public byte BlendFlags

### SourceConstantAlpha

    public byte SourceConstantAlpha

### AlphaFormat

    public byte AlphaFormat

Constructor Detail

### User32.BLENDFUNCTION

    public User32.BLENDFUNCTION()